Bug 13639 - libclass-isa-perl should be a dependency
Summary: libclass-isa-perl should be a dependency
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 13473
  Show dependency treegraph
 
Reported: 2015-01-28 23:18 UTC by Nick Clemens
Modified: 2015-12-03 22:00 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2015-01-28 23:18:07 UTC
After doing a package install on Ubuntu 14.04 I noticed that plugins were not working and checking perl modules Module::Bundled::Files was marked not installed.  

Checked dpkg and version 0.03-1~koha1 was installed

Ran: perl -MModule::Bundled::Files -e ''
at suggestion of eythian on IRC and got an error that Class/ISA.pm could not be found

Installed libclass-isa-perl and all problems were cleared.  

Seems like libmodule-bundled-files-perl depends on libclass-isa-perl so it should be required by koha for safety/consistency
Comment 1 Robin Sheat 2015-01-28 23:23:11 UTC
This is specifically an issue with the build of libmodules-bundled-files-perl in the Koha repo not declaring its dependencies. It should probably be brought closer in line with the pkg-perl version.
Comment 2 Robin Sheat 2015-01-29 22:41:13 UTC
I've updated the package in the repository:

Package: libmodule-bundled-files-perl
Version: 0.03-1~kohadev2
Architecture: all
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Installed-Size: 56
Depends: perl, libclass-isa-perl